<?php

/**
 * Active Callbacks
 *
 * @package Prime Mag
 */

// Theme Options.
function prime_mag_is_pagination_enabled( $control ) {
	return ( $control->manager->get_setting( 'prime_mag_enable_pagination' )->value() );
}
function prime_mag_is_breadcrumb_enabled( $control ) {
	return ( $control->manager->get_setting( 'prime_mag_enable_breadcrumb' )->value() );
}

// Flash News Section.
function prime_mag_is_flash_news_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'prime_mag_enable_flash_news_section' )->value() );
}
function prime_mag_is_flash_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'prime_mag_flash_news_content_type' )->value();
	return ( prime_mag_is_flash_news_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function prime_mag_is_flash_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'prime_mag_flash_news_content_type' )->value();
	return ( prime_mag_is_flash_news_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Banner Section.
function prime_mag_is_banner_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'prime_mag_enable_banner_section' )->value() );
}

// Banner Section - Main Banner.
function prime_mag_is_main_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'prime_mag_main_news_content_type' )->value();
	return ( prime_mag_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function prime_mag_is_main_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'prime_mag_main_news_content_type' )->value();
	return ( prime_mag_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}
// Banner Section - Editor Choice.
function prime_mag_is_editor_choice_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'prime_mag_editor_choice_content_type' )->value();
	return ( prime_mag_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function prime_mag_is_editor_choice_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'prime_mag_editor_choice_content_type' )->value();
	return ( prime_mag_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}
// Banner Section - Featured News.
function prime_mag_is_featured_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'prime_mag_featured_news_content_type' )->value();
	return ( prime_mag_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function prime_mag_is_featured_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'prime_mag_featured_news_content_type' )->value();
	return ( prime_mag_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Check if static home page is enabled.
function prime_mag_is_static_homepage_enabled( $control ) {
	return ( 'page' === $control->manager->get_setting( 'show_on_front' )->value() );
}
